<?php
require_once LIB_PATH . '/Extension/invocationTags/InvocationTags.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
class Plugins_InvocationTags_OxInvocationTags_vastwrapper41 extends Plugins_InvocationTags
{

    /**
     * Return name of plugin
     *
     * @return string
     */
    function getName()
    {
        return $this->translate("Inline Wrapper VAST 4.1");
    }

    /**
     * Return the English name of the plugin. Used when
     * generating translation keys based on the plugin
     * name.
     *
     * @return string An English string describing the class.
     */
    function getNameEN()
    {
        return 'Inline  Wrapper VAST 4.1';
    }

    /**
     * Check if plugin is allowed
     *
     * @return boolean  True - allowed, false - not allowed
     */
    function isAllowed($extra = null)
    { 
        $isAllowed = parent::isAllowed($extra);
        return true;
    }

    function getOrder()
    {
        parent::getOrder();
        return 20;
    }

    /**
     * Return list of options
     *
     * @return array    Group of options
     */
    function getOptionsList()
    {
        if (is_array($this->defaultOptions)) {
            if (in_array('cacheBuster', $this->defaultOptions)) {
                unset($this->defaultOptions['cacheBuster']);
            }
        }
        $options = array ();

        return $options;
    }

    /**
     * Return invocation code for this plugin (codetype)
     *
     * @return string
     */
    function generateInvocationCode()
    {
        $aComments = array(
            'SSL Delivery Comment' => '',
            'Comment'              => $this->translate("
  * This noscript section of this tag only shows image banners. There
  * is no width or height in these banners, so if you want these tags to
  * allocate space for the ad before it shows, you will need to add this
  * information to the <img> tag.
  *
  * If you do not want to deal with the intricities of the noscript
  * section, delete the tag (from <noscript>... to </noscript>). On
  * average, the noscript tag is called from less than 1% of internet
  * users."),
            );
        parent::prepareCommonInvocationData($aComments);

	/*VAST VERSION 2.0*/

        $conf = $GLOBALS['_MAX']['CONF'];
        $mi = &$this->maxInvocation;

	$zoneid=$mi->zoneid;
	if ($GLOBALS['_MAX']['SSL_REQUEST']) {
					$djprotocol='https://';
					}
					else
					{
					$djprotocol='http://';
					}
	$way=$djprotocol.$conf['webpath']['deliverVastUrl'];
	  $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
          
          
    if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
    {

      require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';

     }

    else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
    {

      require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';

    }
          $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
          
          $query=OA_Dal_Delivery_query("SELECT * from {$table_prefix}profile");
          while($result=OA_Dal_Delivery_fetchAssoc($query))
          {
			 
			  $custom_param.='&'.$result['name'].'={'.$result['name'].'}';
		  }
	$buffer .= $way."/fc.php?script=rmVideo&zoneid=$zoneid&format=vast4.1_wrapper".$custom_param;
	return $buffer;
    }

    function setInvocation(&$invocation) {
        $this->maxInvocation = &$invocation;
        $this->maxInvocation->canDetectCharset = true;

    }

}

?>
